module misc.DataSource;

import tango.io.UnicodeFile;

struct DataSource
{
    char[] name;
    char[] data;

    static DataSource opCall(char[] name)
    {
        DataSource source;

        auto file = new UnicodeFile!(char)(name, Encoding.UTF_8);

        source.name = name;
        source.data = file.read();
        return source;
    }

    char[] get(uint position, ushort len)
    {
        return data[position .. position+len];
    }    
}
